summaryrefslogtreecommitdiffstats
path: root/build-initramfs.sh
diff options
context:
space:
mode:
Diffstat (limited to 'build-initramfs.sh')
-rwxr-xr-xbuild-initramfs.sh3
1 files changed, 2 insertions, 1 deletions
diff --git a/build-initramfs.sh b/build-initramfs.sh
index 188369e4..2bea05c4 100755
--- a/build-initramfs.sh
+++ b/build-initramfs.sh
@@ -127,7 +127,8 @@ bootstrap() {
for patch in "${_repo_dir}/patches/${_ref[path]##*/}/"*.patch; do
[ -s "$patch" ] || continue
if ! patch -p1 < "$patch"; then
- echo "Applying '$patch' failed, expecting errors. Continuing..."
+ echo "ERROR: Applying '$patch' failed"
+ exit 1
fi
done
popd || exit 1